### Method

# Aravis Buffer get_part_data

since: 0.8.23

#### Declaration [src]

    void*
    arv_buffer_get_part_data (
      ArvBuffer* buffer,
      guint part_id,
      size_t* size
    )

#### Description

No description available.

Available since: 0.8.23

#### Parameters

`part_id`

  Type: `guint`

  Part id.

`size`

  Type: `size_t*`

  Data size placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guint8`

A pointer to the part data.

The length of the array is in the `size` argument.
The returned data is owned by the instance.